List discovered connections
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/discovery/connections \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/discovery/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/discovery/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/discovery/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connections": [
{
"id": "<string>",
"configName": "<string>",
"databaseType": "<string>",
"status": "<string>",
"schemaDiscovered": true,
"lastSeenAt": "<string>"
}
]
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}List discovered connections
Use this endpoint to retrieve all discovered Fetcher database connections available for the current tenant.
GET
/
v1
/
discovery
/
connections
List discovered connections
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/discovery/connections \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/discovery/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/discovery/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/discovery/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connections": [
{
"id": "<string>",
"configName": "<string>",
"databaseType": "<string>",
"status": "<string>",
"schemaDiscovered": true,
"lastSeenAt": "<string>"
}
]
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Response
List of discovered connections
List of discovered Fetcher connections
Discovered connections
Show child attributes
Show child attributes
Was this page helpful?

